use super::*;

pub struct ControlManager {
    channel:Sender<Query>,
}

impl ControlManager {

}

impl Subsystem for ControlManager {
    fn start(_supervisor:Option<Sender<Query>>) -> Result<Sender<Query>, Error>
    {
        Err(Error::new())
    }
}

impl From<Sender<Query>> for ControlManager {
    fn from(channel:Sender<Query>) -> Self {
        Self { channel }
    }
}
